#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    long long v;
    cin>>v;
    int rez=0;
    while(v)
    {
        int c=v%10;
        while(c>=5)
        {
            c-=5;
            rez++;
        }
        while(c>=2)
        {
            c-=2;
            rez++;
        }
        while(c>=1)
        {
            c-=1;
            rez++;
        }
        v/=10;
    }
    cout<<rez<<endl;

    return 0;
}